Public Attributes | List of all members
iso_cis_param_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for setting cis. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | cis_id
| Used to identify a CIS (0x00 to 0xEF). More...
uint16_t | sdu_size_m2s
| Maximum size of a SDU in octets from the master Host (0x000 to 0xFFF). More...
uint16_t | sdu_size_s2m
| Maximum size of a SDU in octets from the slave Host (0x000 to 0xFFF). More...
uint8_t | phy_m2s
| Master to slave PHY, see iso_phy_type_t. More...
uint8_t | phy_s2m
| Slave to master PHY, see iso_phy_type_t. More...
uint8_t | rtn_m2s
| Number of times every CIS Data PDU should be retransmitted from the master to slave (0x00 to 0x0F). More...
uint8_t | rtn_s2m
| Number of times every CIS Data PDU should be retransmitted from the slave to master (0x00 to 0x0F). More...

## Detailed Description

The parameter for setting cis.

Definition at line 322 of file ble_iso.h.

## Member Data Documentation

## ◆ cis_id

uint8_t iso_cis_param_t::cis_id

Used to identify a CIS (0x00 to 0xEF).

Definition at line 324 of file ble_iso.h.

## ◆ phy_m2s

uint8_t iso_cis_param_t::phy_m2s

Master to slave PHY, see iso_phy_type_t.

Definition at line 327 of file ble_iso.h.

## ◆ phy_s2m

uint8_t iso_cis_param_t::phy_s2m

Slave to master PHY, see iso_phy_type_t.

Definition at line 328 of file ble_iso.h.

## ◆ rtn_m2s

uint8_t iso_cis_param_t::rtn_m2s

Number of times every CIS Data PDU should be retransmitted from the master to slave (0x00 to 0x0F).

Definition at line 329 of file ble_iso.h.

## ◆ rtn_s2m

uint8_t iso_cis_param_t::rtn_s2m

Number of times every CIS Data PDU should be retransmitted from the slave to master (0x00 to 0x0F).

Definition at line 330 of file ble_iso.h.

## ◆ sdu_size_m2s

uint16_t iso_cis_param_t::sdu_size_m2s

Maximum size of a SDU in octets from the master Host (0x000 to 0xFFF).

Definition at line 325 of file ble_iso.h.

## ◆ sdu_size_s2m

uint16_t iso_cis_param_t::sdu_size_s2m

Maximum size of a SDU in octets from the slave Host (0x000 to 0xFFF).

Definition at line 326 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h